curl --request PUT \
--url https://api.loopreturns.com/api/v1/products/external/{productExternalId}/product-variants \
--header 'Content-Type: application/json' \
--header 'X-Authorization: <api-key>' \
--data '
{
"external_id": "564400c7-7a6b-4f29-b6a5-7bb580b2992c",
"name": "Classic Brown Dress Shoes - Size 12",
"sku": "SHOES-US44-M-Brwn",
"weight_grams": 440,
"barcode": 712345000019,
"price": {
"amount": 50000,
"currency_code": "USD"
},
"images": [
"https://example.com/example.jpg"
],
"options": [
{
"position": 1,
"value": "Red"
}
],
"logistics_information": {
"origin_country_code": "US",
"origin_region_code": "CA",
"default_hs_code": "1234567890",
"requires_shipping": true,
"cost": {
"amount": 50000,
"currency_code": "USD"
},
"destination_country_hs_codes": [
{
"destination_country_code": "US",
"hs_code": "1234567890"
}
]
},
"dimensions": {
"depth": 8.5,
"width": 6,
"height": 2.25
},
"locale_data": [
{
"locale": "fr-CA",
"name": "Chaussures Habillées Marron Classiques - Taille 12"
}
]
}
'import requests
url = "https://api.loopreturns.com/api/v1/products/external/{productExternalId}/product-variants"
payload = {
"external_id": "564400c7-7a6b-4f29-b6a5-7bb580b2992c",
"name": "Classic Brown Dress Shoes - Size 12",
"sku": "SHOES-US44-M-Brwn",
"weight_grams": 440,
"barcode": 712345000019,
"price": {
"amount": 50000,
"currency_code": "USD"
},
"images": ["https://example.com/example.jpg"],
"options": [
{
"position": 1,
"value": "Red"
}
],
"logistics_information": {
"origin_country_code": "US",
"origin_region_code": "CA",
"default_hs_code": "1234567890",
"requires_shipping": True,
"cost": {
"amount": 50000,
"currency_code": "USD"
},
"destination_country_hs_codes": [
{
"destination_country_code": "US",
"hs_code": "1234567890"
}
]
},
"dimensions": {
"depth": 8.5,
"width": 6,
"height": 2.25
},
"locale_data": [
{
"locale": "fr-CA",
"name": "Chaussures Habillées Marron Classiques - Taille 12"
}
]
}
headers = {
"X-Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Authorization': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '564400c7-7a6b-4f29-b6a5-7bb580b2992c',
name: 'Classic Brown Dress Shoes - Size 12',
sku: 'SHOES-US44-M-Brwn',
weight_grams: 440,
barcode: 712345000019,
price: {amount: 50000, currency_code: 'USD'},
images: ['https://example.com/example.jpg'],
options: [{position: 1, value: 'Red'}],
logistics_information: {
origin_country_code: 'US',
origin_region_code: 'CA',
default_hs_code: '1234567890',
requires_shipping: true,
cost: {amount: 50000, currency_code: 'USD'},
destination_country_hs_codes: [{destination_country_code: 'US', hs_code: '1234567890'}]
},
dimensions: {depth: 8.5, width: 6, height: 2.25},
locale_data: [{locale: 'fr-CA', name: 'Chaussures Habillées Marron Classiques - Taille 12'}]
})
};
fetch('https://api.loopreturns.com/api/v1/products/external/{productExternalId}/product-variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product_variant": {
"id": 810772,
"external_id": "564400c7-7a6b-4f29-b6a5-7bb580b2992c",
"sku": "SHOES-US44-M-Brwn",
"name": "Classic Brown Dress Shoes - Size 12",
"weight_grams": 500,
"barcode": "1234asdf324",
"product": {
"id": 810772,
"external_id": "564400c7-7a6b-4f29-b6a5-7bb580b2992c",
"sku": "SHOES-US44-M-Brwn",
"name": "<string>"
},
"price": {
"amount": 50000,
"currency_code": "USD"
},
"images": [
"https://example.com/example.jpg"
],
"inventories": [
{
"id": 127302,
"available_count": 10,
"location": {
"id": 182973,
"external_id": "564400c7-7a6b-4f29-b6a5-7bb580b2992c",
"name": "<string>"
}
}
],
"options": [
{
"position": 1,
"value": "Red"
}
],
"logistics_information": {
"origin_country_code": "US",
"origin_region_code": "CA",
"default_hs_code": "1234567890",
"requires_shipping": true,
"cost": {
"amount": 50000,
"currency_code": "USD"
},
"destination_country_hs_codes": [
{
"destination_country_code": "US",
"hs_code": "1234567890"
}
]
},
"dimensions": {
"depth": 8.5,
"width": 6,
"height": 2.25
}
}
}{
"errors": "Unauthorized."
}{
"message": "Resource not found."
}Upsert Product Variant by Product External ID
Upsert a product variant under a parent product identified by its commerce external_id. The variant is identified using the variant’s external_id in the request body.
Authorizations
API Scope: "Product (write)"
Path Parameters
The identifier used by an external source to identify the parent product.
64"564400c7-7a6b-4f29-b6a5-7bb580b2992c"
Body
The identifier used by an external source to identify the product variant. Must be unique within the shop. If a non-unique external_id is provided, the API will respond with an error.
64"564400c7-7a6b-4f29-b6a5-7bb580b2992c"
The name of the product variant.
"Classic Brown Dress Shoes - Size 12"
:The SKU of the product variant."
255"SHOES-US44-M-Brwn"
The weight of the product variant in grams.
440
The barcode of the product variant.
255712345000019
The price of the product variant in minor units, such as cents, with its corresponding currency.
Show child attributes
Show child attributes
{ "amount": 50000, "currency_code": "USD" }
An array of URLs which reference images of the product variant.
1An array of optional features or characteristics of the product variant that can be selected by the customer.
Show child attributes
Show child attributes
The logistics information for the product variant such as code classification, shipping, and cost.
Show child attributes
Show child attributes
The dimensions of the product variant, interpreted as inches. Optional and nullable. When provided, depth, width, and height are all required. Omit dimensions to leave any stored dimensions untouched, or send null to delete the stored dimensions.
Show child attributes
Show child attributes
Translated content for this product variant, one entry per locale. Locales must be unique within the array — uniqueness is checked against each locale's canonicalized tag (fr-CA, fr_ca, and FR-CA all collide).
Show child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes